Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/convmas2_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/convmas2_loc.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/convmas2_loc.F90	(revision 5134)
@@ -8,7 +8,7 @@
   USE parallel_lmdz
   IMPLICIT NONE
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/convmas_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/convmas_loc.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/convmas_loc.F90	(revision 5134)
@@ -8,7 +8,7 @@
   USE lmdz_filtreg_p
   IMPLICIT NONE
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dissip_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dissip_loc.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dissip_loc.f90	(revision 5134)
@@ -8,4 +8,8 @@
   USE comconst_mod, ONLY: dtdiss
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
+  USE lmdz_comdissipn, ONLY: tetaudiv, tetaurot, tetah, cdivu, crot, cdivh
+  USE lmdz_comdissnew, ONLY: lstardis, nitergdiv, nitergrot, niterh, tetagdiv, &
+          tetagrot, tetatemp, coefdis, vert_prof_dissip
+
   IMPLICIT NONE
 
@@ -29,9 +33,7 @@
   !   -------------
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
-  include "comdissnew.h"
-  include "comdissipn.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 
   !   Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/divgrad2_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/divgrad2_loc.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/divgrad2_loc.f90	(revision 5134)
@@ -14,4 +14,6 @@
   USE mod_hallo
   USE divgrad2_mod
+  USE lmdz_comdissipn, ONLY: tetaudiv, tetaurot, tetah, cdivu, crot, cdivh
+
   IMPLICIT NONE
   !
@@ -19,5 +21,4 @@
   INCLUDE "paramet.h"
   INCLUDE "comgeom2.h"
-  INCLUDE "comdissipn.h"
 
   !    .......    variables en arguments   .......
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dteta1_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dteta1_loc.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dteta1_loc.f90	(revision 5134)
@@ -21,6 +21,6 @@
 
 
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
 
   REAL :: teta( ijb_u:ije_u,llm )
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dudv2_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dudv2_loc.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dudv2_loc.f90	(revision 5134)
@@ -23,6 +23,6 @@
   !=======================================================================
   !
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
 
   REAL :: teta( ijb_u:ije_u,llm ),pkf( ijb_u:ije_u,llm )
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynetat0_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynetat0_loc.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynetat0_loc.F90	(revision 5134)
@@ -26,7 +26,7 @@
 
   IMPLICIT NONE
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynredem_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynredem_loc.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynredem_loc.F90	(revision 5134)
@@ -25,7 +25,7 @@
 
   IMPLICIT NONE
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
   !===============================================================================
   ! Arguments:
@@ -178,7 +178,7 @@
 
   IMPLICIT NONE
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
   !===============================================================================
   ! Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/enercin_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/enercin_loc.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/enercin_loc.F90	(revision 5134)
@@ -7,7 +7,7 @@
   USE parallel_lmdz
   IMPLICIT NONE
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_hyb_loc_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_hyb_loc_m.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_hyb_loc_m.F90	(revision 5134)
@@ -41,7 +41,7 @@
     IMPLICIT NONE
 
-    include "dimensions.h"
-    include "paramet.h"
-    include "comgeom.h"
+    INCLUDE "dimensions.h"
+    INCLUDE "paramet.h"
+    INCLUDE "comgeom.h"
 
     INTEGER  ngrid
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_milieu_loc_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_milieu_loc_m.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_milieu_loc_m.F90	(revision 5134)
@@ -37,7 +37,7 @@
     IMPLICIT NONE
 
-    include "dimensions.h"
-    include "paramet.h"
-    include "comgeom.h"
+    INCLUDE "dimensions.h"
+    INCLUDE "paramet.h"
+    INCLUDE "comgeom.h"
 
     INTEGER  ngrid
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/flumass_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/flumass_loc.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/flumass_loc.F90	(revision 5134)
@@ -7,7 +7,7 @@
   USE parallel_lmdz
   IMPLICIT NONE
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/fluxstokenc_p.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/fluxstokenc_p.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/fluxstokenc_p.f90	(revision 5134)
@@ -24,7 +24,7 @@
   !=======================================================================
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "tracstoke.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "tracstoke.h"
 
   !   Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/friction_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/friction_loc.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/friction_loc.f90	(revision 5134)
@@ -8,5 +8,5 @@
   USE comconst_mod, ONLY: pi
   USE lmdz_iniprint, ONLY: lunout, prt_level
-
+  USE lmdz_academic, ONLY: tetarappel, knewt_t, kfrict, knewt_g, clat4
 
   IMPLICIT NONE
@@ -24,8 +24,7 @@
   !=======================================================================
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom2.h"
-  include "academic.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom2.h"
 
   ! arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gcm.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gcm.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gcm.F90	(revision 5134)
@@ -27,5 +27,6 @@
   USE lmdz_description, ONLY: descript
   USE lmdz_iniprint, ONLY: lunout, prt_level
-
+  USE lmdz_comdissnew, ONLY: lstardis, nitergdiv, nitergrot, niterh, tetagdiv, &
+          tetagrot, tetatemp, coefdis, vert_prof_dissip
 
   IMPLICIT NONE
@@ -60,9 +61,8 @@
   !   Declarations:
   !   -------------
-  include "dimensions.h"
-  include "paramet.h"
-  include "comdissnew.h"
-  include "comgeom.h"
-  include "tracstoke.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
+  INCLUDE "tracstoke.h"
 
   REAL zdtvr
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/geopot_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/geopot_loc.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/geopot_loc.f90	(revision 5134)
@@ -26,6 +26,6 @@
   !   -------------
 
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
 
   !   Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gradiv2_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gradiv2_loc.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gradiv2_loc.f90	(revision 5134)
@@ -19,4 +19,6 @@
   USE lmdz_filtreg_p
   USE gradiv2_mod
+  USE lmdz_comdissipn, ONLY: tetaudiv, tetaurot, tetah, cdivu, crot, cdivh
+
   IMPLICIT NONE
   !
@@ -24,5 +26,4 @@
   INCLUDE "paramet.h"
   INCLUDE "comgeom.h"
-  INCLUDE "comdissipn.h"
   !
   ! ........    variables en arguments      ........
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/groupe_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/groupe_loc.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/groupe_loc.f90	(revision 5134)
@@ -18,7 +18,7 @@
   !   pas besoin de w en entree.
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom2.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom2.h"
 
   ! integer ngroup
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/groupeun_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/groupeun_loc.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/groupeun_loc.f90	(revision 5134)
@@ -5,7 +5,7 @@
   IMPLICIT NONE
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom2.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom2.h"
 
   INTEGER :: jjmax,llmax,sb,se,jjb,jje
@@ -139,7 +139,7 @@
   IMPLICIT NONE
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom2.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom2.h"
 
   ! INTEGER ngroup
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/guide_loc_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/guide_loc_mod.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/guide_loc_mod.F90	(revision 5134)
@@ -916,7 +916,7 @@
     IMPLICIT NONE
 
-    include "dimensions.h"
-    include "paramet.h"
-    include "comgeom2.h"
+    INCLUDE "dimensions.h"
+    INCLUDE "paramet.h"
+    INCLUDE "comgeom2.h"
 
     REAL, DIMENSION (iip1, jjb_u:jje_u), INTENT(IN) :: psi ! Psol gcm
@@ -1400,7 +1400,7 @@
     IMPLICIT NONE
 
-    include "dimensions.h"
-    include "paramet.h"
-    include "comgeom2.h"
+    INCLUDE "dimensions.h"
+    INCLUDE "paramet.h"
+    INCLUDE "comgeom2.h"
 
     ! input arguments :
@@ -1566,6 +1566,6 @@
     IMPLICIT NONE
 
-    include "dimensions.h"
-    include "paramet.h"
+    INCLUDE "dimensions.h"
+    INCLUDE "paramet.h"
 
     INTEGER, INTENT(IN) :: timestep
@@ -1881,6 +1881,6 @@
     IMPLICIT NONE
 
-    include "dimensions.h"
-    include "paramet.h"
+    INCLUDE "dimensions.h"
+    INCLUDE "paramet.h"
 
     INTEGER, INTENT(IN) :: timestep
@@ -2380,6 +2380,6 @@
     USE mod_hallo
     IMPLICIT NONE
-    include 'dimensions.h'
-    include 'paramet.h'
+    INCLUDE 'dimensions.h'
+    INCLUDE 'paramet.h'
 
     CHARACTER (len = *) :: varname
@@ -2408,7 +2408,7 @@
   SUBROUTINE dumpall
     IMPLICIT NONE
-    include "dimensions.h"
-    include "paramet.h"
-    include "comgeom.h"
+    INCLUDE "dimensions.h"
+    INCLUDE "paramet.h"
+    INCLUDE "comgeom.h"
     CALL barrier
     CALL dump2du(alpha_u(ijb_u:ije_u), '  alpha_u couche 1')
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/iniacademic_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/iniacademic_loc.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/iniacademic_loc.F90	(revision 5134)
@@ -20,5 +20,5 @@
   USE lmdz_ran1, ONLY: ran1
   USE lmdz_iniprint, ONLY: lunout, prt_level
-
+  USE lmdz_academic, ONLY: tetarappel, knewt_t, kfrict, knewt_g, clat4
 
   !   Author:    Frederic Hourdin      original: 15/01/93
@@ -31,8 +31,7 @@
   !   ---------------
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
-  include "academic.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 
   !   Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initdynav_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initdynav_loc.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initdynav_loc.f90	(revision 5134)
@@ -44,7 +44,7 @@
   !
   !   Declarations
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 
   !   Arguments
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initfluxsto_p.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initfluxsto_p.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initfluxsto_p.f90	(revision 5134)
@@ -41,7 +41,7 @@
   !
   !   Declarations
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 
   !   Arguments
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/inithist_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/inithist_loc.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/inithist_loc.F90	(revision 5134)
@@ -42,7 +42,7 @@
   !
   !   Declarations
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 
   !   Arguments
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/integrd_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/integrd_loc.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/integrd_loc.f90	(revision 5134)
@@ -38,7 +38,7 @@
   !   -------------
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 
   !   Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/leapfrog_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/leapfrog_loc.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/leapfrog_loc.F90	(revision 5134)
@@ -42,5 +42,7 @@
   USE lmdz_description, ONLY: descript
   USE lmdz_iniprint, ONLY: lunout, prt_level
-
+  USE lmdz_academic, ONLY: tetarappel, knewt_t, kfrict, knewt_g, clat4
+  USE lmdz_comdissnew, ONLY: lstardis, nitergdiv, nitergrot, niterh, tetagdiv, &
+          tetagrot, tetatemp, coefdis, vert_prof_dissip
 
   IMPLICIT NONE
@@ -77,9 +79,7 @@
   !   -------------
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comdissnew.h"
-  include "comgeom.h"
-  include "academic.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 
   REAL, INTENT(IN) :: time_0 ! not used
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/massbar_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/massbar_loc.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/massbar_loc.F90	(revision 5134)
@@ -8,7 +8,7 @@
   USE parallel_lmdz
   IMPLICIT NONE
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/massbarxy_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/massbarxy_loc.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/massbarxy_loc.F90	(revision 5134)
@@ -8,7 +8,7 @@
   USE parallel_lmdz
   IMPLICIT NONE
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/massdair_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/massdair_loc.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/massdair_loc.f90	(revision 5134)
@@ -16,7 +16,7 @@
   IMPLICIT NONE
   !
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
   !
   !  .....   arguments  ....
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_xios_dyn3dmem.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_xios_dyn3dmem.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_xios_dyn3dmem.F90	(revision 5134)
@@ -133,6 +133,6 @@
      USE parallel_lmdz
      IMPLICIT NONE
-     include 'dimensions.h'
-     include 'paramet.h'
+     INCLUDE 'dimensions.h'
+     INCLUDE 'paramet.h'
      CHARACTER(LEN=*)   :: name
      REAL, DIMENSION(ij_begin:ij_end) :: Field
@@ -154,6 +154,6 @@
      USE parallel_lmdz
      IMPLICIT NONE
-     include 'dimensions.h'
-     include 'paramet.h'
+     INCLUDE 'dimensions.h'
+     INCLUDE 'paramet.h'
      CHARACTER(LEN=*)   :: name
      REAL, DIMENSION(ij_begin:ij_end,llm) :: Field
@@ -187,6 +187,6 @@
      USE parallel_lmdz
      IMPLICIT NONE
-     include 'dimensions.h'
-     include 'paramet.h'
+     INCLUDE 'dimensions.h'
+     INCLUDE 'paramet.h'
      CHARACTER(LEN=*)   :: name
      REAL, DIMENSION(ij_begin:ij_end) :: Field
@@ -217,6 +217,6 @@
      USE parallel_lmdz
      IMPLICIT NONE
-     include 'dimensions.h'
-     include 'paramet.h'
+     INCLUDE 'dimensions.h'
+     INCLUDE 'paramet.h'
      CHARACTER(LEN=*)   :: name
      REAL, DIMENSION(ij_begin:ij_end,llm) :: Field
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgraro2_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgraro2_loc.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgraro2_loc.f90	(revision 5134)
@@ -18,9 +18,10 @@
   USE lmdz_filtreg_p
   USE nxgraro2_mod
+  USE lmdz_comdissipn, ONLY: tetaudiv, tetaurot, tetah, cdivu, crot, cdivh
+
   IMPLICIT NONE
   !
   INCLUDE "dimensions.h"
   INCLUDE "paramet.h"
-  INCLUDE "comdissipn.h"
   !
   !    ......  variables en arguments  .......
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/parallel_lmdz.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/parallel_lmdz.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/parallel_lmdz.F90	(revision 5134)
@@ -392,6 +392,6 @@
 #endif
 
-    include "dimensions.h"
-    include "paramet.h"
+    INCLUDE "dimensions.h"
+    INCLUDE "paramet.h"
 
     INTEGER :: ierr
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/paramet.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/paramet.h	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/paramet.h	(revision 5134)
@@ -3,5 +3,5 @@
 
 
-!  ATTENTION!!!!: ce fichier include est compatible format fixe/format libre
+!  ATTENTION!!!!: ce fichier INCLUDE est compatible format fixe/format libre
 !                 veillez  n'utiliser que des ! pour les commentaires
 !                 et  bien positionner les & des lignes de continuation
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/qminimum_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/qminimum_loc.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/qminimum_loc.f90	(revision 5134)
@@ -10,11 +10,11 @@
 
 
-  IMPLICIT none
+  IMPLICIT NONE
   !
   !  -- Objet : Traiter les valeurs trop petites (meme negatives)
   !         pour l'eau vapeur et l'eau liquide
   !
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
   !
   INTEGER :: nqtot ! CRisi: on remplace nq par nqtot
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/sw_case_williamson91_6_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/sw_case_williamson91_6_loc.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/sw_case_williamson91_6_loc.f90	(revision 5134)
@@ -35,7 +35,7 @@
   !   ---------------
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 
   !   Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/top_bound_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/top_bound_loc.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/top_bound_loc.f90	(revision 5134)
@@ -7,10 +7,11 @@
   USE comvert_mod, ONLY: presnivs, preff, scaleheight
   USE lmdz_iniprint, ONLY: lunout, prt_level
+  USE lmdz_comdissipn, ONLY: tetaudiv, tetaurot, tetah, cdivu, crot, cdivh
 
   IMPLICIT NONE
   !
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom2.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom2.h"
 
 
@@ -52,6 +53,4 @@
   !    tau_top_bound : inverse of charactericstic relaxation time scale at
   !                   the topmost layer (Hz)
-
-  INCLUDE "comdissipn.h"
 
   !   Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/tourpot_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/tourpot_loc.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/tourpot_loc.F90	(revision 5134)
@@ -8,7 +8,7 @@
   USE lmdz_filtreg_p
   IMPLICIT NONE
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vitvert_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vitvert_loc.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vitvert_loc.F90	(revision 5134)
@@ -9,6 +9,6 @@
   
   IMPLICIT NONE
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlsplt_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlsplt_loc.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlsplt_loc.f90	(revision 5134)
@@ -18,6 +18,6 @@
   IMPLICIT NONE
   !
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
   !
   !
@@ -386,7 +386,7 @@
   IMPLICIT NONE
   !
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
   !
   !
@@ -817,6 +817,6 @@
   IMPLICIT NONE
   !
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
   !
   !
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltgen_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltgen_loc.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltgen_loc.F90	(revision 5134)
@@ -36,6 +36,6 @@
 
   !
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
 
   !
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltqs_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltqs_loc.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltqs_loc.f90	(revision 5134)
@@ -15,6 +15,6 @@
   IMPLICIT NONE
   !
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
   !
   !
@@ -394,7 +394,7 @@
   IMPLICIT NONE
   !
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
   !
   !
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/write_field_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/write_field_loc.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/write_field_loc.F90	(revision 5134)
@@ -38,6 +38,6 @@
     USE mod_hallo
     IMPLICIT NONE
-    include 'dimensions.h'
-    include 'paramet.h'
+    INCLUDE 'dimensions.h'
+    INCLUDE 'paramet.h'
       
     CHARACTER(LEN=*)   :: name
@@ -103,6 +103,6 @@
     USE mod_hallo
     IMPLICIT NONE
-    include 'dimensions.h'
-    include 'paramet.h'
+    INCLUDE 'dimensions.h'
+    INCLUDE 'paramet.h'
       
     CHARACTER(LEN=*)   :: name
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedyn_xios.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedyn_xios.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedyn_xios.F90	(revision 5134)
@@ -35,7 +35,7 @@
 
   !   Declarations
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 
   !   Arguments
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedynav_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedynav_loc.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedynav_loc.f90	(revision 5134)
@@ -43,7 +43,7 @@
   !
   !   Declarations
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 
   !
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writehist_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writehist_loc.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writehist_loc.f90	(revision 5134)
@@ -40,7 +40,7 @@
   !
   !   Declarations
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom.h"
 
   !
Index: /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/calfis.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/calfis.f90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/calfis.f90	(revision 5134)
@@ -92,11 +92,11 @@
   !    ------------------
 
-  include "dimensions.h"
-  include "paramet.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
 
   INTEGER :: ngridmx
   PARAMETER(ngridmx = 2 + (jjm - 1) * iim - 1 / jjm)
 
-  include "comgeom2.h"
+  INCLUDE "comgeom2.h"
 
   !    Arguments :
Index: /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_calfis_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_calfis_loc.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_calfis_loc.F90	(revision 5134)
@@ -109,11 +109,11 @@
     !    ------------------
 
-    include "dimensions.h"
-    include "paramet.h"
+    INCLUDE "dimensions.h"
+    INCLUDE "paramet.h"
 
     INTEGER :: ngridmx
     PARAMETER(ngridmx = 2 + (jjm - 1) * iim - 1 / jjm)
 
-    include "comgeom2.h"
+    INCLUDE "comgeom2.h"
     !    Arguments :
     !    -----------
Index: /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/mod_interface_dyn_phys.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/mod_interface_dyn_phys.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/mod_interface_dyn_phys.F90	(revision 5134)
@@ -14,5 +14,5 @@
     USE lmdz_phys_mpi_data
     IMPLICIT NONE
-    include 'dimensions.h'    
+    INCLUDE 'dimensions.h'
     
     INTEGER :: i,j,k
Index: /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/ce0l.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/ce0l.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/ce0l.F90	(revision 5134)
@@ -52,7 +52,7 @@
   !-------------------------------------------------------------------------------
   ! Local variables:
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom2.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom2.h"
 
   REAL :: masque(iip1, jjp1)             !--- CONTINENTAL MASK
Index: /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 5133)
+++ /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 5134)
@@ -41,4 +41,6 @@
   USE lmdz_strings, ONLY: strLower
   USE lmdz_iniprint, ONLY: lunout, prt_level
+  USE lmdz_comdissnew, ONLY: lstardis, nitergdiv, nitergrot, niterh, tetagdiv, &
+          tetagrot, tetatemp, coefdis, vert_prof_dissip
 
   IMPLICIT NONE
@@ -47,8 +49,7 @@
   PUBLIC :: etat0dyn_netcdf
 
-  include "dimensions.h"
-  include "paramet.h"
-  include "comgeom2.h"
-  include "comdissnew.h"
+  INCLUDE "dimensions.h"
+  INCLUDE "paramet.h"
+  INCLUDE "comgeom2.h"
   REAL, SAVE :: deg2rad
   INTEGER, SAVE :: iml_dyn, jml_dyn, llm_dyn, ttm_dyn, fid_dyn
